Update existing user
PUT/qsystem/rest/config/aaa/users/:userName
Update existing user
curl -i -u user:password -X PUT -H 'Content-type: application/json' http://ip:port/qsystem/rest/config/aaa/users/{userName}
-d '{"userName":"{userName}","firstName":"John","lastName":"Doh","pinCode":null,"language":1,
"imageUrl":null,"status":"ACTIVE","branchHierarchyRoot":1,"branches":[],"branchGroups":[1],"roles":[2,3],
"data":{"label.phone":"+46123456789","label.email":"test@qmatic.com"}}'
username: Must match path parameter value for {userName} password: Password field must be null or not included at all. To change password, see /{userName}/password method.
NOTE: It is not supported to set the imageUrl if a user using this endpoint.
@summary Update user
Request
Responses
- 204